Support » WooCommerce » Woocommerce fragt ungewollt Authentifizierung auf Startseite

  • Gelöst lud3r

    (@lud3r)


    Hallo zusammen,

    sobald ich meine Startseite aufrufe (egal ob von PC oder Handy) erscheint die htaccess-Authentifizierungsabfrage, obwohl ich diese nur für den wp-admin Bereich konfiguriert habe. Ungerne würde ich auf diesen Schutz verzichten.
    Ich fand heraus, dass dieses sobald ist, wenn das woocommerce-Plugin aktiviert ist.

    Ich habe bereits gesucht, nur finde keine Antwort.

    Weiss jemand weiter ?

    • Dieses Thema wurde geändert vor 2 weeks von lud3r.
    • Dieses Thema wurde geändert vor 2 weeks von lud3r.
Ansicht von 4 Antworten - 1 bis 4 (von insgesamt 4)
  • Moderator Bego Mario Garde

    (@pixolin)

    Was soll denn jemand weiter wissen?

    Wir haben keine Informationen, wie du den Passwortschutz umgesetzt hast. Welche Dateien hast du wo und mit welchem Inhalt angelegt? Wie ist der Symstempfad zu diesen Dateien? (Kannst du mit einer PHP-Datei mit <?php echo $_SERVER['DOCUMENT_ROOT']; abfragen.)

    Ich fand heraus, dass dieses sobald ist, wenn das woocommerce-Plugin aktiviert ist.

    Halte ich für eher unwahrscheinlich, weil es sonst längst entsprechende Rückfragen gegeben hätte.

    lud3r

    (@lud3r)

    Zum zweiten mal vielen Dank für die rasche Antwort!

    Der Passwortschutz ist „standard“ realisiert per htaccess. Natürlich kann ich die paar zeilen auch einfügen, jedoch ist das nicht die Ursache. Leider.
    Der Systempfad ist richtig und die Authentifizierung auch funktionell sobald ich das Plugin woocommerce deaktiviert habe. Ich war überrascht und bis ich das heraus fand hat es auch gedauert.
    Sobald die Deaktivierung des Plugins woocommerce der Fall ist, arbeitet die Abfrage der Authentifizierung per htaccess ganz normal bzw. wie gewohnt.

    Ich habe bereits zwei andere Forenbeiträge gefunden die das gleiche Problem haben, jedoch gibt es auch da keine Lösung für. Ich suche bereits intensiv.

    Forumeintrag 1

    Forumeintrag 2

    Grüße

    Ich habe die Lösung nun endlich gefunden.
    In der Accesslog vom Apache war zu finden, dass wenn die Hauptseite aufgerufen wird, ein Fehlercode 401 erscheint :

    „GET /wp-admin/js/password-strength-meter.min.js?ver=5.2.4 HTTP/2.0“ 401 381 „[entfernt]“ „Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101 Firefox/70.0“ „Traffic IN:84 OUT:463“ „ReqTime:0 sec“

    Ich musste in die .htaccess file im wp-ordner :

    <Files admin-ajax.php>
    Require all granted
    </Files>

    und

    <Files password-strength-meter.min.js>
    Require all granted
    </Files>

    einfügen.
    Bisher klappt es. Ich habe es auch reproduziert. Wenn es auch einige Verzögerung erfordert. Ich testete es immer im privaten Fenster im Firefox. Diese Einstellungen gelten für einen Apacheserver ab Version 2.4.

    Bis einschließlich Version 2.3 muss man dieses verwenden :

    <Files admin-ajax.php>
    Order allow,deny
    Allow from all
    Satisfy any
    </Files>

    und

    <Files password-strength-meter.min.js>
    Order allow,deny
    Allow from all
    Satisfy any
    </Files>

    Bisher klappt es bei mir mit dem 2.4. Schnipsel.
    Ich hoffe, dass ich anderen damit helfen kann.

    Vielen Dank für die Unterstützung hier im Forum (ich war ja schon im anderen Thread aktiv) ! Das ist wirklich sehr nett, dass hier so individuell auf einzelne Fragen eingegangen wird.

    danke für die Info und viel Erfolg 🙂

Ansicht von 4 Antworten - 1 bis 4 (von insgesamt 4)